本文给大家介绍有关pecl在给多版本 PHP 安装同一个扩展的时候会提示重复安装的问题,这里有一个非常快速的解决办法,下面就给大家详细介绍,希望对需要的朋友有所帮助~

php入门到就业线上直播课:进入学习
Apipost = Postman + Swagger + Mock + Jmeter 超好用的API调试工具:点击使用

不知道有人没有遇到过,pecl 在给多版本 PHP 安装同一个扩展的时候会提示重复安装。【推荐学习:PHP视频教程

如下记录解决方法:

1. 安装扩展

sudo pecl -d php_suffix=8.0 install <package>
登录后复制

我理解 -d php_suffix= 是指定 php 命令的后缀,例如 -d php_suffix=8.0 则为 php8.0

2. 卸载扩展

sudo pecl uninstall -r <package>
登录后复制

加上 -r 不会删除已安装的好扩展 .so 文件

重复以上步骤,再次安装其他 PHP 版本相同扩展就可以正常安装成功了!

以上就是pecl多版本PHP安装扩展提示重复安装?(附解决办法)的详细内容,更多请关注php中文网其它相关文章!

声明:本文转载于:learnku,如有侵犯,请联系admin@php.cn删除

  • 相关标签:php pecl Ubuntu
  • 程序员必备接口测试调试工具:点击使用

    Apipost = Postman + Swagger + Mock + Jmeter

    Api设计、调试、文档、自动化测试工具

    自己动手手写一个MVC框架(40节精讲/巨细/新人进阶必看):立即学习

    快速了解框架底层运行原理+提高自身开发逻辑+新人必学课程

    https://www.php.cn/php-weizijiaocheng-498094.html

    最后修改日期: 2022-11-22

    留言

    撰写回覆或留言

    发布留言必须填写的电子邮件地址不会公开。